Skip to main content
PUT
Update bot

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

botId
string
required

Id of the Bot being updated.

Body

application/json
displayName
string
required

Bot name to be displayed.

Maximum string length: 255
destination
string
required

Bot destination phone number, FB messenger Id or live chat widget Id.

Maximum string length: 255
channel
enum<string>
required
Available options:
SMS,
VIBER,
FACEBOOK_MESSENGER,
WHATSAPP,
RCS,
UNKNOWN,
EMAIL,
LIVE_CHAT,
UNUSED,
VOICE,
VIDEO,
APPLE_BUSINESS_CHAT,
LINE,
GOOGLE_BUSINESS_MESSAGES,
TELEGRAM,
CALLS,
INTERNAL,
VIBER_BOT,
FACEBOOK_POST,
INSTAGRAM_POST,
TWITTER_POST,
INSTAGRAM_MESSAGING,
GOOGLE_PLAY,
KAKAO_SANGDAM,
TWITTER_DM,
WHATSAPP_CALLS,
VIBER_CALLS,
OPEN_CHANNEL,
TIKTOK,
ZALO
webhookUrl
string

Webhook url the message will be forwarded to.

Maximum string length: 2000
Pattern:
enabled
boolean
default:true

Bot enable/disable toggle.

messagePersistencePolicy
enum<string>
default:PERSIST_ALL

Message persistence policy. If set to PERSIST_NONE, messages exchanged between customers and bot will not be persisted to the database nor visible to agents once they take over the conversation.

Available options:
PERSIST_ALL,
PERSIST_NONE
sessionTimeoutInSec
integer<int64>
default:86400

Time elapsed from last client message, after which conversation will be closed. If not set, conversation will be closed after 24 hours.

Required range: 60 <= x <= 86400
webhookHeaders
object
deprecated
webhookEventUrl
string

Webhook url on which will be automatically forwarded all events.

Maximum string length: 2000
Pattern:
webhookEventHeaders
object

Response

OK

displayName
string
required

Bot name to be displayed.

Maximum string length: 255
destination
string
required

Bot destination phone number, FB messenger ID or live chat widget ID.

Maximum string length: 255
channel
enum<string>
required
Available options:
SMS,
VIBER,
FACEBOOK_MESSENGER,
WHATSAPP,
RCS,
UNKNOWN,
EMAIL,
LIVE_CHAT,
UNUSED,
VOICE,
VIDEO,
APPLE_BUSINESS_CHAT,
LINE,
GOOGLE_BUSINESS_MESSAGES,
TELEGRAM,
CALLS,
INTERNAL,
VIBER_BOT,
FACEBOOK_POST,
INSTAGRAM_POST,
TWITTER_POST,
INSTAGRAM_MESSAGING,
GOOGLE_PLAY,
KAKAO_SANGDAM,
TWITTER_DM,
WHATSAPP_CALLS,
VIBER_CALLS,
OPEN_CHANNEL,
TIKTOK,
ZALO
webhookUrl
string

Webhook url the message will be forwarded to.

Maximum string length: 2000
Pattern:
enabled
boolean
default:true

Bot enable/disable toggle.

messagePersistencePolicy
enum<string>
default:PERSIST_ALL

Message persistence policy. If set to PERSIST_NONE, messages exchanged between customers and bot will not be persisted to the database nor visible to agents once they take over the conversation.

Available options:
PERSIST_ALL,
PERSIST_NONE
sessionTimeoutInSec
integer<int64>
default:86400

Time elapsed from last client message, after which conversation will be closed. If not set, conversation will be closed after 24 hours.

Required range: 60 <= x <= 86400
webhookHeaders
object
deprecated
webhookEventUrl
string
Maximum string length: 2000
Pattern:
webhookEventHeaders
object
id
string
read-only